function metaGW=metadataGW(headerGW, filename)

%Get all the header fields
headernames=fieldnames(headerGW);

%Create the string that will contain all the info
totfile=[filename '; '];

%Go through all fields 
for i=1:length(headernames)
    locname=headernames{i};
    gotenfield=getfield(headerGW,locname);
    %Write name of field
    totfile = [totfile locname ': '];
    %Check if field is character (like color type) or number and write the
    %information
    if ischar(gotenfield{1})
        for k=1:length(gotenfield)
            totfile = [totfile gotenfield{k}];
            if k<length(gotenfield)
                totfile = [totfile ', '];
            else
                totfile = [totfile '; '];
            end
        end
    else
        for k=1:length(gotenfield)
            totfile = [totfile num2str(gotenfield{k})];
            if k<length(gotenfield)
                totfile = [totfile ', '];
            else
                totfile = [totfile '; '];
            end
        end
    end
end

metaGW=totfile;



end