function metaGW=metadataGW(headerGW, filename)

%Get all the header fields
headernames=fieldnames(headerGW);

%Create the string that will contain all the info
totfile=[filename '; '];

%Go through all fields 
for i=1:length(headernames)
    locname=headernames{i};
    gotenfield=getfield(headerGW,locname);
    %Write name of field
    totfile = [totfile locname ': '];
    %Check if field is character (like color type) or number and write the
    %information
    if iscell(gotenfield) && ~isempty(gotenfield)
        blah = gotenfield{1};
    elseif isempty(gotenfield)
        blah = [];
    else
        blah = gotenfield(1);
    end

    if ischar(blah)
        for k=1:length(gotenfield)
            if iscell(gotenfield)
                totfile = [totfile gotenfield{k}];
            else
                totfile = [totfile gotenfield(k)];
            end
            
            if k<length(gotenfield)
                totfile = [totfile ', '];
            else
                totfile = [totfile '; '];
            end
        end
    else
        for k=1:length(gotenfield)
            if iscell(gotenfield)
                totfile = [totfile num2str(gotenfield{k})];
            elseif isempty(gotenfield)
                totfile = [];
            else
                totfile = [totfile num2str(gotenfield(k))];
            end

            if k<length(gotenfield)
                totfile = [totfile ', '];
            else
                totfile = [totfile '; '];
            end
        end
    end
end

metaGW=totfile;



end