testnucl = nucleoid_centroid('10_Image 31_Airyscan Processing-crop2_rotate13_bin2x2.tif', [1 1 1], 4, 0.07, 0.5, 'X');

foo = rot_scanaxis(testnucl.OrigStack, [1 1 1], 'X', 'lab');
foo = scale_stack(double(foo), 'double');

Seg = segment_volume(bar, 0.1, 0.6, false);

f = squeeze(foo(:,:,6));
% f = imresize(squeeze(foo(:,:,6)), squeeze(size(foo(:,:,6)))*3);

figure(1); surf(f, 'Linestyle', 'none'); colormap(hot); camproj('orthographic'); cameratoolbar('SetMode', 'orbit');


J = imbinarize(f);
figure(1); imagesc(J); colormap(hot);

Jst = zeros(size(J));
Jst(J) = f(J);
figure(1); surf(Jst, 'Linestyle', 'none'); colormap(hot);

bigJ = imresize(J, size(J)*3, 'bilinear');
D = bwdist(imcomplement(bigJ));
figure(2); surf(D), colormap(hot);

% K = imbinarize(Jst, 60000);
% figure(1); imagesc(K); colormap(hot);
% 
% Kst = zeros(size(K));
% Kst(K) = f(K);


figure(1); surf(D); colormap(hot);

D=-D;
H = imhmin(D, 0.5);
figure(1); imagesc(H); colormap(hot);

L = watershed(H);
figure(1); surf(L); colormap(hot);


