function fillTiffGW(filename, image, headerGW, pathtofile)

oldfolder=cd(pathtofile);

t = Tiff(filename,'a');

imgdata=image;

tagstruct2.ImageLength = size(imgdata,1);
tagstruct2.ImageWidth = size(imgdata,2);
tagstruct2.Photometric = 1;
tagstruct2.BitsPerSample = 16;
tagstruct2.SampleFormat = 1;
tagstruct2.SamplesPerPixel = 1;
tagstruct2.RowsPerStrip = 16;
tagstruct2.PlanarConfiguration = Tiff.PlanarConfiguration.Chunky;
tagstruct2.Software = 'MATLAB';

totfile='mastertimes: ';
gotenfield=getfield(headerGW,'mastertimes');
for k=1:length(gotenfield)
    totfile = [totfile num2str(gotenfield{k})];
    if k<length(gotenfield)
        totfile = [totfile ', '];
    else
        totfile = [totfile '; '];
    end
end

tagstruct2.ImageDescription = totfile;


count=0;
for i=1:size(imgdata,3)
    if count==1
        tagstruct2 = rmfield(tagstruct2,'ImageDescription');
    end
    if count>0
        t.writeDirectory();
    end
    t.setTag(tagstruct2)
    t.write(imgdata(:,:,i));
    count=count+1;
end

t.close();

cd(oldfolder)
end